Report the final deployed URL
curl --request POST \
--url https://{host}/api/sharesame/job/{job_id}/deployed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deployment_id": "deploy_123",
"deploy_url": "https://forcesale.example.com"
}
'import requests
url = "https://{host}/api/sharesame/job/{job_id}/deployed"
payload = {
"deployment_id": "deploy_123",
"deploy_url": "https://forcesale.example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({deployment_id: 'deploy_123', deploy_url: 'https://forcesale.example.com'})
};
fetch('https://{host}/api/sharesame/job/{job_id}/deployed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}Endpoints
Report deployment
Tell ShareSame where the website ended up after you deploy the returned files.
POST
/
job
/
{job_id}
/
deployed
Report the final deployed URL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200 - application/json
Report accepted
Was this page helpful?
⌘I